<?php

/**
 * Register function for: default accordion
 */
add_action('acf/init', 'default_accordion');

function default_accordion()
{
    // Register the Test ACF Block
    if (function_exists('acf_register_block')) {

        $result = acf_register_block(array(
            'name'                => 'default_accordion',
            'title'                => __('b&s | Standard-Akkordeon'),
            'description'        => __('Ein Standard-Akkordeon-Block für die Darstellung von Inhalten.'),
            'render_template'   => get_template_directory() . '/blocks/template-defaults/default_accordion.php',
            'category'            => 'theme_defaults',
            'mode'                => 'edit',
        ));
    }
};

/**
 * Register function for: default tabs
 */
add_action('acf/init', 'default_tabs');

function default_tabs()
{
    // Register the Test ACF Block
    if (function_exists('acf_register_block')) {

        $result = acf_register_block(array(
            'name'                => 'default_tabs',
            'title'                => __('b&s | Standard-Tabs'),
            'description'        => __('Ein Standard-Tabs-Block für die Darstellung von Inhalten.'),
            'render_template'   => get_template_directory() . '/blocks/template-defaults/default_tabs.php',
            'category'            => 'theme_defaults',
            'mode'                => 'edit',
        ));
    }
};
